- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# avi_useraccount – Avi UserAccount Module

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module can be used for updating the password of a user.

- This module is useful for setting up admin password for Controller bootstrap.

## Requirements

The below requirements are needed on the host that executes this module.

- avisdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_context dictionary added in 2.5 |  | Avi API context that includes current session ID and CSRF Token. This allows user to perform single login and re-use the session.
api_version string | Default: "16.4.4" | Avi API version of to use for Avi API and objects.
avi_credentials dictionary added in 2.5 |  | Avi Credentials dictionary which can be used in lieu of enumerating Avi Controller login details.
| api_version - | Default: "16.4.4" | Avi controller version
| controller - |  | Avi controller IP or SQDN
| csrftoken - |  | Avi controller API csrftoken to reuse existing session with session id
| password - |  | Avi controller password
| port - |  | Avi controller port
| session_id - |  | Avi controller API session id to reuse existing session with csrftoken
| tenant - | Default: "admin" | Avi controller tenant
| tenant_uuid - |  | Avi controller tenant UUID
| timeout - | Default: 300 | Avi controller request timeout
| token - |  | Avi controller API token
| username - |  | Avi controller username
avi_disable_session_cache_as_fact boolean added in 2.6 | Choices: no yes | It disables avi session information to be cached as a fact.
controller string | Default: "" | IP address or hostname of the controller. The default value is the environment variable `AVI_CONTROLLER`.
force_change - added in 2.9 |  | If specifically set to true then old password is tried first for controller and then the new password is tried. If not specified this flag then the new password is tried first.
old_password - |  | Old password for update password or default password for bootstrap.
password string | Default: "" | Password of Avi user in Avi controller. The default value is the environment variable `AVI_PASSWORD`.
tenant string | Default: "admin" | Name of tenant used for all Avi API calls and context of object.
tenant_uuid string | Default: "" | UUID of tenant used for all Avi API calls and context of object.
username string | Default: "" | Username used for accessing Avi controller. The default value is the environment variable `AVI_USERNAME`.

## Notes

Note

- For more information on using Ansible to manage Avi Network devices see https://www.ansible.com/ansible-avi-networks.

## Examples

    - name: Update user password
      avi_useraccount:
        controller: ""
        username: ""
        password: new_password
        old_password: ""
        api_version: ""
        force_change: false

    - name: Update user password using avi_credentials
      avi_useraccount:
        avi_credentials: ""
        old_password: ""
        force_change: false

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
obj dictionary | success, changed | Avi REST resource

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Chaitanya Deshpande (@chaitanyaavi) <chaitanya.deshpande@avinetworks.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.